%define majver %(echo %version | cut -d. -f1-2)
Name:          lxmusic
Version:       0.4.7
Release:       1mamba
Summary:       LXMusic - The minimalist music player for LXDE.
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Fabio Giani <fabio.giani@gmail.com>
URL:           http://www.lxde.org/
Source:        http://downloads.sourceforge.net/project/lxde/LXMusic%20%28music%20player%29/LXMusic%20%{majver}.x/lxmusic-%{version}.tar.xz
Patch0:        %{name}-0.4.2-no-tools-menu.patch
Patch1:        %{name}-0.4.5-libnotify-0.7.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libxmms2-devel
## AUTOBUILDREQ-END
Requires:      xmms2

%description
LXMusic is a very simple gtk+ XMMS2 client written in pure C. 
It has very few functionality, and can do nothing more than play the music. The UI is very clean and simple. 
This is currently aimed to be used as the default music player of LXDE (Lightweight X11 Desktop Environment) project. 

%prep

%setup -q
%patch0 -p1
#%patch1 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/lxmusic.desktop
%{_datadir}/lxmusic
%{_datadir}/pixmaps/lxmusic.png 
%{_mandir}/man1/lxmusic.1.gz
%doc AUTHORS COPYING
# README

%changelog
* Sun Feb 21 2016 Automatic Build System <autodist@mambasoft.it> 0.4.7-1mamba
- automatic version update by autodist

* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.6-1mamba
- update to 0.4.6

* Mon Jul 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.5-1mamba
- update to 0.4.5

* Sun May 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Sat Jan 23 2010 Fabio Giani <fabio.giani@gmail.com> 0.4.2-2mamba
- group changed, patch added

* Fri Jan 15 2010 Fabio Giani <fabio.giani@gmail.com> 0.4.2-1mamba
- package created by autospec
